<?php
session_start();

//ulozime si stary token ze SESSION a vygenerujeme novy
if ( isset($_SESSION["token"]))
	$tokenOld = $_SESSION["token"];
$tokenNew = createHash($heslo,"token");
$_SESSION['token'] = $tokenNew;
$_SESSION['token_timeout'] = time() + 900;

//posilame formular
if (isset($_POST["odeslano"])) {
	//inicializace
	$formOk = true;
	//test dat formulare 
	/*
	 * pokud neni neco v poradku promennou
	 * formOk nastavime na false 
	 */
	//TOKEN ANTI CSRF
	if ($tokenOld != $_POST["token"]) {
		$formOk = false;
	}
	//formular ok a token souhlasi
	if ($formOk) {
		/*
		 * zapis do db atp
		 */
		$hlaska .= "Zapis ok";
		$_SESSION['hlaska'] = $hlaska;

		//preposleme
		$cesta = $_SERVER['REQUEST_URI'];
		if (isset ($_SERVER['HTTPS'])) {
			if ($_SERVER['HTTPS'] == "on")
			$protokol = "https";
		}else $protokol = "http";
		header("Location: $protokol://$_SERVER[SERVER_NAME]$cesta", true, 303);
		//ulozime session do db a zavreme spojeni s db
		session_write_close();
		exit;
	} 
}
?>
<?php echo '<?xml version="1.0" encoding="UTF-8" ?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Insert title here</title>
<script type="text/javascript" >
	function subForm(form,loc){
		form.action=loc;
	}
</script>
</head>
<body>
<?php
 	if (isset($_SESSION['hlaska'])) {
 		echo $_SESSION['hlaska'];
		unset($_SESSION['hlaska']);		
 	}
?>

<form action="" method="post" id="form1" onsubmit="subForm(this,'submit.php?smaz=1')">
<div>
<input type="text" name="text" />
<input type="hidden" value="1" name="id"/>
<input type="hidden" value="1" name="odeslano"/>
<input type="hidden" value="<?php echo $tokenNew ?>" name="token"/>
<input type="submit" value="odeslat"  />
</div> 
</form>
</body>
</html>