<?php
	require('./inc/helpFunctions.php');
	require('./inc/mysqliExtended.php');
	
	header("Content-Type: text/html; charset=utf-8");
	do_header();	
	dbconnect();

	/* 
	 * testujeme string
	 * jmeno zacinajici na $param
	 * idealne napr. $param="Nov"
	 * 
	 */

	
	$password = ""; 
	$login = "adminovic' /* ";
	//$param="' or login is not null or login='";
	//$param="' OR '1'='1";
	
	//escape nepatricneho kodu
	$login= mysqli_real_escape_string($spojeni, $login);
	$password = mysqli_real_escape_string($spojeni, $password);

	$query = "SELECT * 
			  FROM zakaznik
			  WHERE login = '%s' AND
			  password = '%s'";
    //pro debug ucely 
	echo "dotaz: ".$query;
    
	if($vysledek = mysqli_query($spojeni,$query)){
    	$zaznam = mysqli_fetch_row($vysledek);
    	echo "<br />".$zaznam[0];
    
    }
    
    echo "<br /><br />";

    
	/* 
	 * testujeme integer
	 * idealne napr. $param="24"
	 * 
	 */
    $param="24 or login is not null";
    
	$query = sprintf("SELECT id_zak, jmeno
					  FROM zakaznik
					  WHERE id_zak=%d",$param);
    echo "dotaz: ".$query;
    $vysledek = mysqli_query($spojeni,$query);
    $zaznam = mysqli_fetch_assoc($vysledek);
    echo "<br />".$zaznam['id_zak'];
    
    echo "<br /><br />";
    
    /* 
	 * testujeme integer
	 * idealne napr. $param="24"
	 * 
	 */
    $param="24 or login is not null";
    if (is_numeric($param)){
    	$query = "SELECT COUNT(*)
				  FROM zakaznik
				  WHERE id_zak=$param";
    	echo "dotaz: ".$query;
    	$vysledek = mysqli_query($spojeni,$query);
    	$zaznam = mysqli_fetch_row($vysledek);
    	echo "<br />".$zaznam[0];
    }
    else echo "Parametr není číslo.";
    
    echo "<br /><br />";
    

	/*
 	* prepared statements
 	* rozsirene tridy mysli_stmt a mysqli
 	* metoda fetch_assoc - naplni asociativni pole nazvi poli
 	*  
 	*/

 	$outside ="adminovic";
 	
	try {
		$db = new mysqliExtended();

		//nastavime utf8 kodovani
		$db->query('SET character_set_results=UTF8');
		$db->query('SET character_set_connection=UTF8');
		$db->query('SET character_set_client=UTF8');	

		if ($stmt = $db->prepare("SELECT *
								  FROM zakaznik
								  WHERE login=?")) {
			$stmt->bind_param("s", $outside);
			$stmt->execute();
			$stmt->store_result();
			while ($row = $stmt->fetch_assoc()) {
    			echo $row["prijmeni"]. "<br />";
			}
			$stmt->close();
		}
		$db->close();	
	
	}
	catch (SQLException $e) {
		echo "SQL Error : ".$e->getSQLError()." in <hr><PRE>".$e->getSQL()."</PRE><hr>";
	}
	catch (DBException $e) {
		echo "Database Error: ". $e->GetMessage();
	}
	catch (Exception $e) {
		exception_dump($e);
	}
    
    echo "<br /><br />";

    
    /*
     * PDO
     */
     
    $outside ="adminovic";
    $pdo = new PDO('mysql:host=localhost;
					dbname=dbname',
    				'user',
    				'pass');
	$stmt = $pdo->prepare("SELECT *
						  FROM zakaznik
						  WHERE login = ?");
	$stmt->bindValue(1, $outside, PDO::PARAM_STR);
	$stmt->execute();
	$result = $stmt->fetch(PDO::FETCH_ASSOC);
	echo $result["id_zak"];	

	do_footer();
?>