<?php
function znacka(){ 
  		global $spojeni;
  		//Dotaz do databaze
		$vysledek = @mysqli_query($spojeni, "SELECT DISTINCT id_zna AS id, nazev FROM znacka ORDER BY nazev");
		$pocet = @mysqli_num_rows($vysledek);
		
	  	//Zobrazeni rozbalovaciho seznamu
		echo "<select name=\"znacka\"  style=\"margin-right: 10px\">";
		echo "<option value=\"\">vyber značku</option>\n";
		for ($i=0; $i<$pocet; $i++){ 
			$zaznam = mysqli_fetch_array($vysledek);
			$nazev = htmlspecialchars($zaznam['nazev'], ENT_QUOTES, "utf-8");
			$zna_id=$zaznam['id'];
			echo "\t<option value=\"".$zna_id."\">";
			echo $nazev."</option>\n";
		};
		echo "</select>";			
}

function vypisTyp(){
		global $spojeni;
  		  		
  		//Dotaz do databaze
		$vysledek = @mysqli_query($spojeni, "SELECT * FROM slevy");
		
	  	//Zobrazeni rozbalovaciho seznamu
		echo '<select name="deal" style="margin-right: 10px">'."\n";
		echo "<option value=\"\">vyber skupinu</option>\n";
		while($zaznam = mysqli_fetch_assoc($vysledek)){
			$id_slevy=$zaznam["popis"];
			echo "\t<option value=\"".$id_slevy."\">";
			echo  $zaznam["popis"]." - ".$zaznam["sleva"]."%</option>\n";
		};
		echo "</select>";
	
}

// posilame upravene udaje
if (isset($_POST['odeslano'])) {
	$formOk = false;
	$hlaska = "";
	
	//TOKEN ANTI CSRF
	if ($tokenOld == $_POST["token"] || $_SESSION['tokenTimeout'] > time()) {
		//ukladame slevu globalni - pouze dle skupiny
		if(isset($_POST["uloz_slevu"])){
			if (is_numeric($_POST["id_slevy"]) && is_numeric($_POST["sleva"])){
				$id_slevy = $_POST["id_slevy"];
				$sleva = $_POST["sleva"];	 
			}
			$dotaz= mysqli_query($spojeni, "UPDATE slevy SET sleva='" .$sleva. "' 
											WHERE id_slevy=$id_slevy");
			if ($dotaz) $hlaska .= '<div class="notice">Sleva byla uložena.</div>';
		}

		//pridavame specialni slevu dle skupiny a znacky
		if(isset($_POST["uloz_slevu_spec"])){
			if (is_numeric($_POST["sleva"]) &&
				is_numeric($_POST["znacka"])) {
				$sleva = $_POST["sleva"];
				$deal = $_POST["deal"];
				$znacka = $_POST["znacka"];
			}	
			$dotaz= mysqli_query($spojeni, "INSERT INTO spec_slevy VALUES (NULL, '$znacka', '$deal', '$sleva');");
			if ($dotaz) $hlaska .= '<div class="notice">Specialní sleva byla uložena.</div>';
		}


		//upravujeme specialni slevu
		if(isset($_POST["spec_edit"])){
			if (is_numeric($_POST["id_sp_slevy"]) && is_numeric($_POST["sleva"])){
				$id_sp_slevy = $_POST["id_sp_slevy"];
				$sleva = $_POST["sleva"];
			}
			$dotaz= mysqli_query($spojeni, "UPDATE spec_slevy SET sleva=$sleva WHERE id_sp_slevy=$id_sp_slevy");
			if ($dotaz) $hlaska .= '<div class="notice">Specialní sleva byla uložena.</div>';
		}

		//mazeme specialni slevu
		if(isset($_POST["vymaz"])){
			if (is_numeric($_POST["id"])) 
				$id = $_POST["id"];
			$dotaz= mysqli_query($spojeni, "DELETE FROM spec_slevy WHERE id_sp_slevy=$id");
			if ($dotaz) $hlaska .= '<div class="notice">Specialní sleva byla smazána.</div>';
		}

		$_SESSION['hlaska'] = $hlaska;
		//preposleme
		$cesta = $_SERVER['REQUEST_URI'];
		if (isset ($_SERVER['HTTPS'])) { 
			if ($_SERVER['HTTPS'] == "on")
				$protokol = "https";
		}else $protokol = "http";
		header("Location: $protokol://$_SERVER[SERVER_NAME]$cesta", true, 303);
		//ulozime session do db a zavreme spojeni s db
		session_write_close(); 
		exit;
	}
}

	//dotaz na slevy
	$d_slevy_d = mysqli_query($spojeni, "SELECT * FROM slevy ORDER BY popis");
	
	//dotaz na spec_slevy
	$d_slevy_spec = mysqli_query($spojeni, "SELECT s.id_sp_slevy, s.id_zna, s.typ_zak, s.sleva,
											zn.nazev as znacka
											FROM spec_slevy s
											JOIN znacka zn ON (s.id_zna=zn.id_zna)
											ORDER BY typ_zak, znacka");
	
//vypiseme hlasku
if (isset($_SESSION['hlaska'])) {
	echo $_SESSION['hlaska'];
	unset($_SESSION['hlaska']);		
}
//----------------------------------------------------------------------------------------------------------
?>
<h1>Editovat slevy dealerů</h1>
<br />
<div align="center">
 <?	while ($menu = mysqli_fetch_assoc($d_slevy_d)){?>
		<form action="admin.php?ak=slevy_d" method="post">
		<input type="hidden" value="<? echo $menu["id_slevy"]; ?>" name="id_slevy" />
		<input type="hidden" name="token" value="<?php echo $tokenNew; ?>"/>
		<input type="hidden" value="1" name="odeslano" />
		<input type="hidden" value="true" name="uloz_slevu" />
		<div><? echo $menu["popis"]; ?>: </div>
		<input type="text" value="<? echo $menu["sleva"]; ?>" name="sleva" style="margin-bottom: 10px" />
		<input type="image" src="../img/potvrd.gif" value="ulož" alt="ulož" style="margin-bottom: 10px" />
 		</form>
<?}
mysqli_free_result($d_slevy_d);
?>
</div>

<br />
<h1>Přidat speciální slevy (podle skupiny a značky)</h1>
<br />
<div align="center">
		<form action="admin.php?ak=slevy_d" method="post" name="spec_sleva">
		<input type="hidden" value="true" name="uloz_slevu_spec" />
		<input type="hidden" name="token" value="<?php echo $tokenNew; ?>"/>
		<input type="hidden" value="1" name="odeslano" />
		<? znacka();
		vypisTyp(); ?>
		<input type="text" value="" size="3" name="sleva" />
		<input type="image" src="../img/potvrd.gif" value="ulož" alt="ulož"/>
 		</form>
</div>

<br />
<h1>Výpis speciálních slev</h1>
<br />
<div align="right">
<table width="500">
	<tr>
		<td align="right" width="200"><strong>Značka</strong></td>
		<td align="center" width="150"><strong>Skupina</strong></td>
		<td align="center"><strong>Sleva v %</strong></td>
	</tr>
</table>

 <?	while ($vysl = mysqli_fetch_assoc($d_slevy_spec)){?>

	<form action="admin.php?ak=slevy_d" method="post">
		<table width="500">
			<tr>
				<td width="200" align="right">
					<? echo htmlspecialchars($vysl['znacka'], ENT_QUOTES, "utf-8"); ?>
					<input type="hidden" value="<? echo $vysl["id_sp_slevy"]; ?>" name="id_sp_slevy" />
					<input type="hidden" value="true" name="spec_edit" />
					<input type="hidden" name="token" value="<?php echo $tokenNew; ?>"/>
					<input type="hidden" value="1" name="odeslano" />
				</td>
				<td width="150" align="center">
					<? echo $vysl["typ_zak"]; ?>
				</td>
				<td align="right">
					<input type="text" value="<? echo $vysl["sleva"]; ?>" name="sleva"  size="3"/>
					<input type="image" src="../img/potvrd.gif" value="ulož" alt="ulož" class="uloz"/>
					<a href="#"	onclick="subForm(document.form<? echo $vysl["id_sp_slevy"].'d'; ?>,'admin.php?ak=slevy_d')">
					<img src="../img/vymaz.png" alt="vymaž" title="vymaž" class="vymaz" /></a>
				</td>
			</tr>
		</table>
 	</form>
 	<form action="" name="form<? echo $vysl["id_sp_slevy"].'d'; ?>" enctype="application/x-www-form-urlencoded" method="post" >
 			<input type="hidden" value="<? echo $vysl["id_sp_slevy"]; ?>" name="id" />
 			<input type="hidden" value="1" name="vymaz" />
			<input type="hidden" name="token" value="<?php echo $tokenNew; ?>"/>
			<input type="hidden" value="1" name="odeslano" />
 	</form>
<?}
mysqli_free_result($d_slevy_spec);
?>
</div>
