<?php
header("ETag: PUB" . time());
header("Last-Modified: " . gmdate("D, d M Y H:i:s", time()-10) . " GMT");
header("Expires: " . gmdate("D, d M Y H:i:s", time() + 5) . " GMT");
header("Pragma: no-cache");
header("Cache-Control: max-age=1, s-maxage=1, no-cache, must-revalidate");
header("Content-Type: text/html; charset=utf-8");    // Typ dat a znaková sada

// Soubor fce
  	require "../fce.php";

// spojeni s db    
	dbconnect();

//instalujeme session handler
	require("../prip/session_handler.php");	
	
if( (isset($_COOKIE["admin"])) )
	zacniSession("admin");

// inicializace promennych
$zobrazHlasku = "";			//buffer chybovych hlasek
$jePrihlasen=false;			//uzivatelske menu
$poprve=true;				//neposilali jsme heslo a login z formulare
$zobrazForm=true;			//formular pro prihlaseni
$odhlaseni=false;			//pokud se odhlasujeme

//Pokud je skript volan odkazem odhlaseni a odhl je nastavena na 1, odhlasime se
	if (IsSet($_GET["odhl"]) and ($_GET["odhl"]==1)){
		if (login("","",1,0)) {
			$zobrazHlasku="Byli jste odhlášeni.";
			$odhlaseni = true;
		}
	}


// poslali jsme heslo a login
	if ( (IsSet($_POST["login"])) and (IsSet($_POST["heslo"])) and (!isSet ($_SESSION["prihl"])) )		$poprve=false;

	if(!$poprve){
  		if(login($_POST["login"], $_POST["heslo"],0,1))		$zobrazForm=false;
		else 		$zobrazHlasku.="Špatný login nebo heslo.";
  	}

//kontrolujeme vyprseni nebo podvrhnuti session
// pokud session vyprsi, odhlasime uzivatele a znicime session a jeji promenne
	
	//pokud kontrola vrati false, tak jsme se neprihlasili
		if (!kontrolaPrihl() && !$odhlaseni) {
			if ($timeout) {
				mysqli_query($spojeni, "DELETE FROM autorizace WHERE id_ses = '$sid'");
				$zobrazHlasku.="Nejste přihlášeni nebo vám vypršela platnost přihlášení! Přihlašte se prosím.";
				//zahodime session
				session_kill();
			}
			//elseif (!$zobrazHlasku=="Špatný login nebo heslo.") $zobrazHlasku.="Nejste přihlášeni nebo vám vypršela platnost přihlášení! Přihlašte se prosím. ";
		}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>|domena.tld| e-shop</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../admin-layout.css" media="all" />
</head>

<body>
<div id="strankaobal">
<div id="strankavnitrek">
<?       
//zobrazit uzivatelsky menu?	
	if ($jePrihlasen): ?>
	
	<div id="levypanelobal">
	<div id="levypanelvnitrek">
		<div class="titulek">
     		PŘIHLÁŠENÍ
     	</div>
     	<div id="registrace">
			Uživatel:&nbsp;&nbsp;&nbsp;<a href="admin.php?ak=adm" class="odkaz"><? echo $_SESSION["login"]; ?></a><br /><br />
			<a href="index.php?odhl=1" class="odkaz">Odhlásit</a>
		</div>
		<div class="titulek">
     		ADMINISTRACE
     	</div>
		<div><? // tady  bude administrace ?>
			<div class="menu_adm"><a href="admin.php?ak=menu" class="odkaz">Menu</a></div>
			<div class="menu_adm"><a href="admin.php?ak=zbozi" class="odkaz">Zboží</a><br />
			&nbsp;&nbsp;&nbsp;<a href="admin.php?ak=nzbozi" class="odkaz">Přidat nové zboží</a><br />
			&nbsp;&nbsp;&nbsp;<a href="admin.php?ak=zbozi&amp;sk=1" class="odkaz">Zboží skladem</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=orders" class="odkaz">Objednávky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=zak" class="odkaz">Zákazníci</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=news" class="odkaz">Novinky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=znacka" class="odkaz">Značky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=velikost" class="odkaz">Velikosti</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=slevy_d" class="odkaz">Slevy dealerů</a></div>
		</div>
		<br /><br /><br /><br />
		<div class="titulek">
     		<a href="../index.php">E-SHOP</a>
     	</div>

	</div>
	</div>
		
	<? endif; ?>

<div id="hlavnipanelobal">
<div id="hlavnipanelvnitrek" align="center"> 
<?
//pokud nejaka chyba tady to vypiseme
if ($zobrazHlasku!="") echo "<font color=\"red\">".$zobrazHlasku."</font><br /><br />";
if ($zobrazForm): ?>

  <div class="input">
  <form method="post" action="index.php">
      <label>Login:</label>
      <input name="login" size="15" /><br /><br />
      <label>Heslo:</label>
      <input name="heslo" type = "password" size="15" /><br />
      <input type="submit" name="odesli" value="Přihlásit" class="gsubmit" />  
  </form>
  </div>

<? endif;
//ulozime session do db a zavreme spojeni s db
session_write_close();
?>
</div>
</div>

<div class="resetovac"></div>



</div>
</div>
</body>
</html>