<?php
//nastaveni date.timezone
date_default_timezone_set('Europe/Prague');


//Prihlaseni k db
function dbconnect(){
	DEFINE ('DB_UZIVATEL', 'user');
	DEFINE ('DB_HESLO', 'pass');
	DEFINE ('DB_HOSTITEL', 'localhost');
	DEFINE ('DB_NAZEV', 'dbName');
	global $spojeni;

	$spojeni = @mysqli_connect(DB_HOSTITEL, DB_UZIVATEL, DB_HESLO, DB_NAZEV);

	if (!$spojeni){
		echo "<div><strong>Nelze se připojit k databázi</strong></div>";
		//mysqli_error($spojeni);
	}
	else{
		//mysqli_query($spojeni, "SET CHARACTER SET utf8 COLLATE utf8_czech_ci");
		mysqli_query($spojeni,'SET character_set_results=UTF8');
		mysqli_query($spojeni,'SET character_set_connection=UTF8');
		mysqli_query($spojeni,'SET character_set_client=UTF8');
	}
}


// start sessiony

function zacniSession($name){
	global  $sid;
	session_name("$name");
	session_set_cookie_params(
        time()+3600,
        '/',
        '',
        false
	);
	session_start();
	$sid = session_id();
	//print_r($_COOKIE);
	//print_r(session_get_cookie_params());
}

//kills actual session with data and cookie
function session_kill(){
	$_SESSION = array();
	if (isset($_COOKIE[session_name()])) {
		setcookie(session_name(), '', time()-42000, '/');
	}
	session_destroy();
}


error_reporting(E_ERROR );  // nastavi uroven reportovani
function obsluha_chyb($errno, $errmsg, $filename, $linenum, $vars) {
	if (error_reporting()) {
		// pokud je nastavena nenulova uroven reportovani - pred funkci neni znak @
		echo $filename.' :: '.$linenum.' :: '.$errmsg."<br />\n";
	}
}
set_error_handler("obsluha_chyb");


/**
 * creates hash for user validation process
 *
 * @param mixed $id
 * @param string $algorithm
 * @return string
 */
function createHash($id, $algorithm) {
	if ($algorithm == "token") {
		return (sha1($id.time()));
	}
	elseif ($algorithm == "sec_id") {
		return (sha1($id.$_SERVER['HTTP_USER_AGENT']));
	}
}


// prihlasime se, pokud souhlasi zahashovane heslo s heslem v dtb,
// login, heslo - predame z formulareout, out je 1, pokud se chceme odhlasit,
// admin 1, pokud se prihlasujem jako administrator shopu

function login($login,$heslo,$out,$admin){
	global $sid;
	global $timeout;
	global $zobrazHlasku;
	global $spojeni;
	
	//jedna se o odhlaseni
	if ($out==1){

		if (isset($_SESSION["kosik"]) && !isset($_GET["res"]) && !($timeout)){
			echo"<script>\n
					if(confirm('Pokud se odhlásíte, obsah košíku bude vymazán.')) location.replace(\"index.php?odhl=1&res=1\");\n 
					else location.replace('".$_SERVER['PHP_SELF']."');
					</script>\n";
		}
		//opravdu se chceme odhlasit a potvrdime
		elseif (isset($_GET["res"])) {
			if ( mysqli_query($spojeni, "DELETE FROM autorizace WHERE id_ses = '$sid'") ){
				//vycistime db od starych session
				// za kolik sekund session vyprsi (30 min)
				$ad = time() - 1800;
				mysqli_query($spojeni, "DELETE FROM autorizace WHERE cas < $ad");
				//znicime session v prohlizeci a na serveru
				session_kill();
				return true;
			}
			else return false;
		}
		//neni nic v kosiku neni potreba upozornovat nebo vyprsela session
		else {
			if ( mysqli_query($spojeni, "DELETE FROM autorizace WHERE id_ses = '$sid'") ){
				//vycistime db od starych session
				// za kolik sekund session vyprsi (30 min)
				$ad = time() - 1800;
				mysqli_query($spojeni, "DELETE FROM autorizace WHERE cas < $ad");
				//znicime session v prohlizeci a na serveru
				session_kill();
				return true;
			}
			else return false;
		}
			
	}

	//jedna se o prihlaseni
	else{
		$heslo = MD5(mysqli_real_escape_string ($spojeni,$heslo) );
		$login = (mysqli_real_escape_string ($spojeni,$login) );

		//jako amdmin?
		if ($admin==1) {
			$vysledek = mysqli_query($spojeni,
					"SELECT id_zak, zmrazen, registrovan
					FROM zakaznik
					WHERE zmrazen=0 AND
					login='$login' AND heslo='$heslo' AND admin=1");
		}
		else {
			$vysledek = mysqli_query($spojeni,
					"SELECT id_zak, zmrazen, registrovan
					FROM zakaznik
					WHERE login='$login' AND heslo='$heslo'");
		}
		
		//pokud tam takovy radek neni ukoncime
		if (@mysqli_num_rows($vysledek) <> 1) {
			return false;
		}
		//spravny login a spravne heslo, zapiseme session id, id_zak a aktualni cas do db
		else {
			//oddelime nazvy session pro administraci a eshop samotny
			if ($admin==1) $sessionName = "admin";
			else $sessionName = "autorizace";

			$res = mysqli_fetch_assoc($vysledek);
						
			$sec_id = createHash($res["id_zak"],"sec_id");
			$cas = time();
			
			if ($res["zmrazen"] == 1) {
				//pokud se neprihlasi do 30 dnu od registrace - ucet je zmrazen
				$res["registrovan"]=StrToTime($res["registrovan"]) + 2592000;
				$dnes=StrToTime(Date("Ymd"));
				//pokud se prihlasil do 30 dnu od registrace
				if ($res["registrovan"]>=$dnes){
					
					if (!isset($_SESSION["kosik"]) && !isset($_SESSION["mena"])) {
						//zacneme session 
						zacniSession($sessionName);
					}
					//session fixation prevence
					session_regenerate_id(true);
					$sid = session_id();
					
					$qUpdateZmrazen=mysqli_query($spojeni,
							"UPDATE zakaznik
							SET zmrazen=0
							WHERE id_zak=".$res["id_zak"]);
					
					$qInsertAutorizace=mysqli_query($spojeni,
							"INSERT INTO autorizace
							VALUES ('$sid', ".$res["id_zak"].",
							$cas, '$sec_id')");
					//podarilo se vlozit do tabulek
					if ($qInsertAutorizace && $qUpdateZmrazen) {
						$zobrazHlasku .= "Vítáme Vás v našem elektronickém ".
						"obchodě. Váš Účet je nyní aktivní, můžete začít".
						"nakupovat :)<br />";
						$_SESSION["prihl"]=1;
						$_SESSION["login"]=$login;
						$_SESSION["sec_id"]=$sec_id;
						return true;
					}
				}
				else {
					$zobrazHlasku .= "Váš Účet byl zmražen, ".
					"kontaktujte prosím administrátora: ".
					"admin@domena.tld<br />";
					return false;
				}
			}
			//ucet nebyl zmrazen
			else {
				/*
				 * zacneme/vygenerujeme "novou" session,
				 * pokud jsem ji jiz nezacali vlozenim zbozi do kosiku
				 * session fixation prevence
				 */
				
				 	if (!isset($_SESSION["kosik"]) && !isset($_SESSION["mena"])) {
						zacniSession($sessionName);
					}
					session_regenerate_id(true);
					$sid = session_id();
								
				$qInsertAutorizace=mysqli_query($spojeni,
						"INSERT INTO autorizace
						VALUES ('$sid', ".$res["id_zak"].",
						$cas, '$sec_id')");
			
				/*
				 * uspesne jsme vlozili zaznam do tabulky autorizace,
				 * muzeme se opravdu prihlasit
				 * $_SESSION["prihl"]=1 znaci, ze bychom meli byt
				 * prihlaseni, resp. kontroluj me prihlaseni
				 */
				if ($qInsertAutorizace) {
					$_SESSION["prihl"]=1;
					$_SESSION["login"]=$login;
					$_SESSION["sec_id"]=$sec_id;
					return true;
				}
				else {
					session_kill();
					return false;
				}
			}
		}

	}

}


/*
 * fce, ktera kontroluje prihlaseni uzivatele,pokud neni
 * prihlasen nebo vyprsela session vraci fce false
 * pokud je vse ok do tabulky se zapise aktualni cas
 */
function kontrolaPrihl(){

	// promenna zobrazForm je globalni a je defaultne nastavena na true,
	//pokud je uzivatel prihlasen nastavime na false
	//timeout nastavim na true, pokud mi vyprsi session
	global $zobrazForm;
	global $sid;
	global $jePrihlasen;
	global $timeout;
	global $spojeni;
	$timeout = false;
	$zobrazForm = true;
	$jePrihlasen = false;
	
	$cas = time();
	// za kolik sekund session vyprsi (30 min)
	$ad = $cas - 1800;
	
	if (isset ($_SESSION["sec_id"])) {
		$sesSecId = $_SESSION["sec_id"];
	}
	else $sesSecId = "";
	
	//je v tabulce session a neni vyprsela?
	$test = mysqli_query($spojeni,
			"SELECT id_zak FROM autorizace
			WHERE id_ses = '$sid' AND
			sec_id='$sesSecId'");
	
	$vyprsela = mysqli_query($spojeni,
			"SELECT id_zak FROM autorizace
			WHERE id_ses = '$sid' AND
			sec_id='$sesSecId' AND
			cas <= $ad");
	$numTest = mysqli_num_rows($test);
	$numVyprsela = mysqli_num_rows($vyprsela);
	if ($numTest == 0 || $numVyprsela == 1) {
		if ($numVyprsela == 1)
			$timeout = true;
		return false;
	}

	//nalezli jsem session a neni vyprsela
	else{
		$vyslTest = mysqli_fetch_assoc($test);
		
		$sec_id = createHash($vyslTest["id_zak"],"sec_id");
		$qHeslo = mysqli_query($spojeni,
			"SELECT heslo FROM zakaznik
			WHERE id_zak=". $vyslTest["id_zak"] ."");
				
		/*
		 * nasli jsem zakaznika a nezmenil se hash browseru a id_zak
		 */
		if ( (mysqli_num_rows($qHeslo)==1) && 
			 ($sesSecId == $sec_id)) {
				
				$vlozAkt = mysqli_query($spojeni,
						"UPDATE autorizace
						SET cas = $cas
						WHERE id_ses = '$sid'");
						
				if ($vlozAkt){
					$zobrazForm = false;
					$jePrihlasen=true;
					return true;
				}
				else {
					$timeout = true;
					return false;
				}		
		}
		
	}
}

// vrati id_zak z databaze podle session
function idZak(){
	global $sid;
	global $spojeni;
	$sql=mysqli_query($spojeni, "SELECT id_zak FROM autorizace WHERE id_ses='$sid'");
	if (mysqli_num_rows($sql)==1){
		$res=mysqli_fetch_assoc($sql);
		return $res["id_zak"];
	}
	else return "";
	
}

// vrati typ zakaznika z databaze podle session
function typZak(){
	global $sid;
	global $spojeni;
	$sql=mysqli_query($spojeni, "SELECT id_zak FROM autorizace WHERE id_ses='$sid'");
	$res=@mysqli_fetch_assoc($sql);
	$sql=mysqli_query($spojeni, "SELECT typ from zakaznik WHERE id_zak=".$res["id_zak"]."");
	$res=@mysqli_fetch_assoc($sql);
	if (!$res)
	return "Z";
	else
	return $res["typ"];

}

//Zapomenute heslo
function ZapomenuteHeslo($udaj)
{
	global $spojeni;
	$udaj = mysqli_real_escape_string($spojeni,$udaj);

	//Testujeme, zda zadany udaj odpovida loginu nebo e-mailu v db


	//Pokud v retezci neni zavinac, prohledam loginy
	if (strpos($udaj,"@")===false){
		$vysledek=mysqli_query($spojeni, "SELECT id_zak FROM zakaznik WHERE zmrazen=0 AND login='".$udaj."'");
			
		if (mysqli_num_rows($vysledek)==0)
		return false;
		else{
			$zaznam = mysqli_fetch_array($vysledek);
			return $zaznam["id_zak"];
		}
	}

	else //Pokud je tam zavinac, prohledam e-maily
	{
		$vysledek=mysqli_query($spojeni, "SELECT id_zak FROM zakaznik WHERE zmrazen=0 AND email='".$udaj."'");
			
		if (mysqli_num_rows($vysledek)==0)
		{
			// Pokud by byl zavinac v loginu - pesimismus nejhorsiho kalibru:))
			$vysledek=mysqli_query($spojeni, "SELECT id_zak FROM zakaznik WHERE zmrazen=0 AND login='".$udaj."'");

			if (mysqli_num_rows($vysledek)==0)
			return false;
			else{
				$zaznam = mysqli_fetch_array($vysledek);
				return $zaznam["id_zak"];
			}
		}
		else
		{
			$zaznam = mysqli_fetch_array($vysledek);
			return $zaznam["id_zak"];
		}
	}
}


//Fce pro testovani v registracnim formulari
function JeEmail ($cislo)
{
	return ereg("[a-zA-Z0-9._-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}",$cislo);
}

function emailvdb ($email)
{
	global $spojeni;
	$vysledek=mysqli_query($spojeni, "SELECT * from zakaznik WHERE email='".$email."'");
	return (boolean) mysqli_num_rows($vysledek);
}

//testujeme zda si uzivatel nechce zmenit email 
function jeJinyEmail($post,$idZak) {
	global $spojeni;
	//kontrola zmeny emailu
	$s_staryEmail = mysqli_query($spojeni, "SELECT email FROM zakaznik WHERE id_zak=$idZak");
	$vysl = mysqli_fetch_assoc($s_staryEmail);
	//zmenili email je treba heslo
	if ($post != $vysl["email"])
	return true;
	else return false;
}


function loginvdb ($login){
	global $spojeni;
	$vysledek=mysqli_query($spojeni, "SELECT * FROM zakaznik WHERE login='".$login."'");
	return (boolean) mysqli_num_rows($vysledek);
}

function vypisKat($zdroj,$id,$zbytek,$sub_kat){

	while ($radek = @mysqli_fetch_assoc($zdroj)){

		//vypsat zbytek hlavnich kategorii?
		if ($zbytek) for ($i=1; $i<$id; $i++) next($radek);

		$kat_id = $radek["id_kat"];

		//neni indexova stranka
		if ($id <> 0)
		if ($kat_id==$id){
			echo '<div class="hlmenu"><a href="nahled_kat.php?id_kat='.
			$kat_id	.'">'. $radek['nazev']. '</a></div>'
			."\n";
			break;
		}
		// pokud se jedna o subkategorii
		if ($sub_kat) echo"<div class=\"submenu\"><a href=\"nahled_subkat.php?id_kat=$kat_id\">". $radek['nazev'] ."</a></div>\n";
		else{
			echo "<div class=\"hlmenu\"><a href=\"nahled_kat.php?id_kat=$kat_id\">". $radek['nazev'] ."</a></div>\n";
		}


	}
}

//vypise zbozi
function vypisZbozi($zdroj){
	//hlavicka podle toho, kde jsme
	// index.php - novinky
	// nahled_kat.php?id_kat=1 akce
	$typZak=typZak();
	global $kurz;
	global $nazev_meny;

	while ( $zaznam = @mysqli_fetch_assoc($zdroj) ){
		//dealerska sleva, nebo zakaznicka - je mozno rozlisovat znacky
		$sleva=zjistiSlevu($typZak, $zaznam['sleva'], $zaznam["id_zna"]);

		//novinka?
		$pridano=StrToTime($zaznam["pridano"]) + 2592000;
		$dnes=StrToTime(Date("Ymd"));

		//zbozi v akci
		if ($zaznam["sleva"]>0)
		$head = "akce_head";
		//pokud neni dele jak 30 dnu od vlozeni zbozi, tak je to novinka
		elseif ($pridano > $dnes)
		$head = "new_head";
		else
		$head = "normal_head";

		//cena po sleve
		$cena_po=vypoctiCenu($zaznam['cena'], $sleva, $kurz);
			
		$zbo_id = $zaznam["id_zbo"];
		echo "<div class=\"nahled_obal\"><div class=\"nahled\" onclick=\"javascript: window.location.href='nahled_zbo.php?id_zbo=$zbo_id'\" title=\"".$zaznam['zbozi']."\">\n";
		echo '<div class="obal_head"><div class="'.$head.'">';
		echo "<h2><a href=\"nahled_zbo.php?id_zbo=$zbo_id\">".strtoupper($zaznam["znacka"])."</a></h2><h3><a href=\"nahled_zbo.php?id_zbo=$zbo_id\">";
		omezZnaky($zaznam['zbozi']);
		echo "</a></h3></div></div>\n";
		echo '<div class="fotka_obal"><div class="fotka">';
		echo '<a href="nahled_zbo.php?id_zbo='.$zaznam["id_zbo"].'">';
		if (file_exists("zbozi/nahl/".$zbo_id."_".$zaznam["foto"]."") ){
			$img = getimagesize("zbozi/nahl/".$zbo_id."_".$zaznam["foto"]."");
			echo '<img src="zbozi/nahl/'.$zbo_id.'_'.$zaznam["foto"].'" '. $img["3"] .'  alt="'.$zaznam['zbozi'].'" />';
		}
		else
		echo '<img src="zbozi/na.gif" width="150" height="150" alt="'.$zaznam['zbozi'].'" title="obrázek není k dispozici" />';
		echo '</a></div></div>'."\n";
		if ($sleva>0)
		echo '<div class="cen_obal"><div class="cen_puv">Původní cena:</div>'."\n";
		else
		echo '<div class="cen_obal"><div class="cen_puv">Cena:</div>'."\n";
		echo "<div class=\"cena_puv\">".$nazev_meny." ".round(($zaznam["cena"]/$kurz)+0.49,0).",-</div>\n";
		//pokud je typ Z,tyka se ho akcni cena
		if ($typZak=="Z" && $sleva>0){
			echo '<div class="cen_sleva">sleva</div>'."\n";
			echo "<div class=\"cena_sleva\">".$sleva." %</div>\n";
			echo '<div class="cen_nov">cena po slevě:</div>'."\n";
			echo "<div class=\"cena_nov\">".$nazev_meny." ".$cena_po.",-</div>\n";
		}
		elseif ($typZak!="Z"){
			echo '<div class="cen_nov">Vaše cena:</div>'."\n";
			echo "<div class=\"cena_nov\">".$nazev_meny." ".$cena_po.",-</div>\n";
		}
		echo '</div>';
		echo '</div></div>'."\n\n";
	}
}

//vypiseme velikosti do rozbalovaciho menu
function Velikost($id,$subkat,$znacka=""){
	global $spojeni;
	global $velikost;

	if ($znacka!="")
	$zn=" AND z.id_zna=$znacka ";
	else
	$zn="";

	if ($subkat) $vysledek = @mysqli_query($spojeni,"SELECT DISTINCT v.id_vel, v.nazev AS vel
														FROM velikost v JOIN sklad_info sk
														ON (sk.id_vel=v.id_vel) 
														JOIN zbozi z ON (z.id_zbo=sk.id_zbo)
														WHERE z.id_kat=".$id." AND sk.pocet_ks > 0 $zn
														ORDER BY v.nazev");

	//Dotaz do databaze na velikosti u zbozi
	else $vysledek = @mysqli_query($spojeni,"SELECT v.id_vel, v.nazev AS vel
												FROM velikost v JOIN sklad_info sk
												ON (sk.id_vel=v.id_vel) WHERE id_zbo=".$id." AND sk.pocet_ks > 0");

	$pocet = @mysqli_num_rows($vysledek);

	//Zobrazeni rozbalovaciho seznamu

	echo "<select name=\"vel\">\n";
	echo "<option value=\"0\">velikosti</option>\n";
	while ($zaznam=mysqli_Fetch_Array($vysledek)){
		echo "\t<option value=\"".$zaznam['id_vel']."\"";
		if (isset($velikost) && $velikost==$zaznam['id_vel'])
		echo " selected=\"selected\" ";
		echo ">".$zaznam['vel']."</option>\n";
	};
	echo "</select>\n";
};


//menu pro kosik

function kosik(){
	if (isset($_SESSION["kosik"]))
	echo "<div class=\"center_text\">
				<a href=\"zobraz_kosik.php\">Zobrazit obsah</a>
			 </div>";
	else
	echo "<div  class=\"center_text\">je zatím prázdný</div>\n";

}

//posleme mail s objednavkou
function posliEmail($idZak,$idObj){
	global $spojeni;
	$sql=mysqli_query($spojeni, "SELECT email FROM zakaznik WHERE id_zak=$idZak");
	$vysledek=mysqli_fetch_assoc($sql);

	$zprava =  '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <title>|domena.tld|</title>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
<head>
  
<body>
  <p>Vážený zákazníku,<br/>děkuje za Vaši objednávku ze dne '.date('j. n. Y').'</p>
  <p>Po vyřízení objednávky budete kontaktován na mail, popř. po telefonu.</p>
  
</body>
</html>'; 

	$adm_zprava =  '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <title>|domena.tld|</title>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
<head>
  
<body>
  <p>Dne '.date('j. n. Y').' byla provedena objednávka</p>
</body>
</html>'; 


	//	$headers .= "Content-type: text/html;charset=utf-8\n";
	//	$headers .= "Content-Transfer-Encoding: 8bit\n";
	//	$headers .= "\n";
	$headers  = 'MIME-Version: 1.0' . "\n";
	$headers .= 'Content-type: text/html;charset=utf-8' . "\n";
	$headers .= 'Return-Path: info@domena.tld' . "\n";
	$headers .= 'From: <info@domena.tld>' . "\n";

	//	echo $vysledek["email"];

	// Posleme to
	if (@mail($vysledek["email"],"Obchod",$zprava,$headers)){
		@mail("info@domena.tld","obj z obchodu",$adm_zprava,$headers);
		return true;
	}

	else
	return false;
}

function omezZnaky($str){
	$delka=strlen($str);
	$strnew="";
	if ($delka>35){
		for ($i=0; $i<35; $i++){
			$strnew .= $str[$i];
			if ($i==20)
			if ($str[$i+1]==" ") $strnew.= '<br />';
			else $strnew.= '-<br />';;
		}
		echo  $strnew."...";
	}
	else echo $str;
}

// vypoctiCenu($zaznam['cena'], $zaznam['sleva'])
// vypocita cenu po sleve - ta je bud zadna, dealerska nebo sleva na zbozi
// slevy nelze kombinovat
function vypoctiCenu($cena, $sleva, $kurz){
	//zjistim cenu po sleve
	if ($sleva>0)
	$cena_po = round((($cena - ($sleva/100*$cena))/$kurz)+0.49,0);
	//neni zadna sleva
	else $cena_po = round($cena/$kurz+0.49,0);
	return $cena_po;
}

//zjistime slevu
//pouziti ve vypoctu ceny zbozi
function zjistiSlevu($typZak,$sleva_zb,$id_zna=""){
	global $spojeni;
	$sleva=0;

	//klasicka sleva na jednotlive zbozi pro klasicke zakazniky Z
	if ($typZak=="Z") $sleva = $sleva_zb;
	//specialni sleva podle typu zak a znacky zbozi
	$d_spec_slevy = mysqli_query($spojeni, "SELECT id_sp_slevy, id_zna, sleva FROM spec_slevy WHERE id_zna=$id_zna AND typ_zak='$typZak'");

	//pokud existuje nejaka specialni sleva
	if (@mysqli_num_rows($d_spec_slevy)>0){
		$vysl_spec_slevy = mysqli_fetch_assoc($d_spec_slevy);
		$sleva=$vysl_spec_slevy["sleva"];
	}else{
		//neni specialni (podle znacky) sleva, podle typu zakaznika vybereme slevu
		$d_sleva=mysqli_query($spojeni, "SELECT sleva FROM slevy WHERE popis='$typZak'");
		$vysl=mysqli_fetch_assoc($d_sleva);
		if ($vysl["sleva"]>0) $sleva=$vysl["sleva"];
	}
	return $sleva;

}

//prave menu - vsechny mozne znacky
function praveMenu(){
	global $spojeni;
	echo'<div class="titulek">ZNAČKY</div>';

	$d_vyber_znacky = mysqli_query($spojeni, "SELECT * FROM znacka");

	while ($znacka = mysqli_fetch_assoc($d_vyber_znacky)){
		echo "\n".'<div class="akce_p">'."\n";
		echo '<div class="akce_p_f" onclick="javascript: window.location.href=(\'znacky.php?id='. $znacka["id_zna"] .'\');"><a href="znacky.php?id='. $znacka["id_zna"] .'"><img src="zbozi/znacky/'. $znacka["foto"] .'" width="105" height="60" alt="'. $znacka["nazev"] .'" title="všechno zboží od '. $znacka["nazev"] .'"/></a></div>'."\n";
		echo '</div>'."\n";
	}
}

function vypisZnacky($id){
	global $spojeni;

	$d_vyber_znacky = mysqli_query($spojeni, 
			"SELECT DISTINCT kat.nazev as kat, kat.id_kat,
			 kat.foto AS foto_kat, kateg.nazev as nadr_kat, zn.nazev
			FROM kategorie kat
 			JOIN zbozi zb ON (zb.id_kat=kat.id_kat)
			JOIN sklad_info sk ON (zb.id_zbo=sk.id_zbo)
			JOIN znacka zn ON (zn.id_zna=zb.id_zna)
    		LEFT JOIN kategorie kateg ON (kateg.id_kat = kat.id_nadr_kat)				
			WHERE zb.id_zna=$id AND sk.pocet_ks>0
			ORDER BY nadr_kat, kat.id_kat");	
	if  (@mysqli_num_rows($d_vyber_znacky) == 0)
	echo '<div class="center_text"><strong>Od této značky bohužel nemáme na skladu žádné zboží.</strong></div>';
	else{
		while ($znacka = @mysqli_fetch_assoc($d_vyber_znacky)){
			$cesta = 'zbozi/kategorie/'. $znacka["foto_kat"];
			$img = @getimagesize($cesta);
			echo '<div class="foto_znacky" title="'. $znacka["nadr_kat"] .' - '. $znacka["kat"] .'"><div class="center_text"><a href="znacky.php?id='. $_GET["id"] .'&amp;id_kat='. $znacka["id_kat"] .'"><img src="'. $cesta .'" '. $img[3] .' alt="'. $znacka["nazev"] .'" /></a><div><a href="znacky.php?id='. $_GET["id"] .'&amp;id_kat='. $znacka["id_kat"] .'">'. $znacka["nadr_kat"] .'<br />'. $znacka["kat"] .'</a></div></div></div>'."\n";
		}
	}
}

function vypisNovinky(){
	global $spojeni;

	$d_novinky = mysqli_query($spojeni, "SELECT id_nov, pridano, text, zobrazit FROM novinky WHERE zobrazit<>false ORDER BY pridano DESC LIMIT 3");

	//vypiseme novinky
	if  (@mysqli_num_rows($d_novinky) != 0){
		echo '<div id="news" onclick="javascript:window.location.href=\'zobraz.php?co=novinky\'"><img src="img/news.gif" width="9" height="106" alt="novinky v obchodě" class="img_right" />';

		while ($novinka = @mysqli_fetch_assoc($d_novinky)){
			echo '<div class="news_item">';
			$datum = strtotime($novinka["pridano"]);
			echo '<div class="news_datum">'.date("d. m. Y", $datum).'</div>';
			echo $novinka["text"];
			echo '</div>';
		}
		echo '</div>';

	}

}

function vypisZeme($nazev,$selected=0, $disabled=false){
	global $spojeni;
	$d_zeme = mysqli_query($spojeni, "SELECT id_zeme, nazev FROM zeme");
	$id=1;

	//vypiseme zeme
	if  (@mysqli_num_rows($d_zeme) != 0){
		echo '<select name="'.$nazev.'"';
		if ($disabled) echo ' disabled="disabled"';
		echo '>';
		echo '<option value="">--vyberte---</option>';
		while ($zeme = @mysqli_fetch_assoc($d_zeme)){?>
<option
	value="<?
						echo $zeme["id_zeme"].'" ';
						if ($selected==$id && $selected>0)
							echo 'selected="selected"';
						echo '>';
						echo $zeme["nazev"]; 
						?></option>
		<? $id++;}
		echo '</select>';
		
	}
	
}

function vypisPostovne($idZak, $mena=1){
	global $spojeni;
	
	//je prihlasen zname jeho puvod
	if ($idZak!=""){
		$d_postovne = mysqli_query($spojeni, 	
				"SELECT zem.post_popl
				FROM zakaznik z
				JOIN adresa a ON ( z.id_adr_dod = a.id_adr )
				JOIN zeme zem ON ( a.id_zeme = zem.id_zeme )
				WHERE z.id_zak =$idZak");
		$res = @mysqli_fetch_assoc($d_postovne);
		return $res["post_popl"];
	
	//neni prihlasen musime jednat podle meny
	//1 - CZK, 2 - SKK
	}else{
		$d_postovne = mysqli_query($spojeni, 	
				"SELECT z.post_popl
				FROM kurzy k
				JOIN zeme z ON (k.id_zeme=z.id_zeme)
				WHERE k.id_kurzu =$mena");
		$res = @mysqli_fetch_assoc($d_postovne);
		return $res["post_popl"];
	}
		
	
	
}

function vypisNavigaci($celkem,$od){
	     echo "<div class=\"zaznamy_navigace\">";	
         //zatek - vytvo odkaz pouze pokud nejsme na zatku
         if ($od==1) echo "<<&nbsp;&nbsp;&nbsp;"; 
            else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=1&amp;id_kat=".$_GET['id_kat']."\"><<</a>&nbsp;&nbsp;&nbsp;";
			
         //zpt - vytvo odkaz pouze pokud nejsme v prvnch ROWS
         if ($od<ROWS) echo "<&nbsp;&nbsp;&nbsp;"; 
          else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($od-ROWS)."&amp;id_kat=".$_GET['id_kat']."\"><</a>&nbsp;&nbsp;&nbsp;";
			
         //dal - vytvo, pouze pokud nejsme v poslednch ROWS
         if ($od+ROWS>$celkem) echo ">&nbsp;&nbsp;&nbsp;"; 
           else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($od+ROWS)."&amp;id_kat=".$_GET['id_kat']."\">></a>&nbsp;&nbsp;&nbsp;";
			
         //posledn - to je poslednch (zbytek po dlen ROWS) zznam
         if ($od>$celkem-ROWS) echo ">><br />"; 
            else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($celkem-$celkem%ROWS+1)."&amp;id_kat=".$_GET['id_kat']."\">>></a><br />\n";
        echo "</div>\n\n";	

}

function vypisNavigaciZnacka($celkem,$od,$id_kat,$vel,$id){
			echo "<div class=\"zaznamy_navigace\">";	
		   	//začátek - vytvoř odkaz pouze pokud nejsme na začátku
		   	if ($od==1) echo "<<&nbsp;&nbsp;";
		   	else echo "<a href=\"znacky.php?od=1&amp;id=$id&amp;id_kat=$id_kat$vel\"><<</a>&nbsp;&nbsp;";

		   	//zpět - vytvoř odkaz pouze pokud nejsme v prvních ROWS
		   	if ($od<ROWS) echo "<&nbsp;&nbsp;";
		   	else echo "<a href=\"znacky.php?od=".($od-ROWS)."&amp;id=$id&amp;id_kat=$id_kat$vel\" ><</a>&nbsp;&nbsp;";

		   	//dalsi - vytvor, pouze pokud nejsme v posledních ROWS
		   	if ($od+ROWS>$celkem) echo ">&nbsp;&nbsp;";
		   	else echo "<a href=\"znacky.php?od=".($od+ROWS)."&amp;id=$id&amp;id_kat=$id_kat$vel\" >></a>&nbsp;&nbsp;";

		   	//poslední - to je posledních (zbytek po dělení ROWS) záznamů
		   	if ($od>$celkem-ROWS) echo ">>&nbsp;<br />";
		   	else echo "<a href=\"znacky.php?od=".($celkem-$celkem%ROWS+1)."&amp;id=$id&amp;id_kat=$id_kat$vel\" >>></a><br />\n";
			echo "</div>\n\n";	

}

function vypisNavigaciSubkat($celkem,$od,$vel,$zna){
 	echo '<div class="zaznamy_navigace">';				
           //začátek - vytvoř odkaz pouze pokud nejsme na začátku
           if ($od==1) echo "<<&nbsp;&nbsp;"; 
               else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=1&amp;id_kat=".$_GET['id_kat'] . $vel . $zna ."\"><<</a>&nbsp;&nbsp;";
			
           //zpět - vytvoř odkaz pouze pokud nejsme v prvních ROWS
           if ($od<ROWS) echo "<&nbsp;&nbsp;"; 
              else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($od-ROWS)."&amp;id_kat=".$_GET['id_kat'] . $vel . $zna ."\"><</a>&nbsp;&nbsp;";
			
           //další - vytvoř, pouze pokud nejsme v posledních ROWS
           if ($od+ROWS>$celkem) echo ">&nbsp;&nbsp;"; 
              else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($od+ROWS)."&amp;id_kat=".$_GET['id_kat'] . $vel . $zna ."\">></a>&nbsp;&nbsp;";
			
           //poslední - to je posledních (zbytek po dělení ROWS) záznamů
           if ($od>$celkem-ROWS) echo ">>&nbsp;<BR>"; 
              else echo "<a href=\"".$_SERVER["PHP_SELF"]."?celkem=$celkem&amp;od=".($celkem-$celkem%ROWS+1)."&amp;id_kat=".$_GET['id_kat'] . $vel . $zna ."\">>></a><br />";
		
	echo '</div>';
}

?>