<?php
header("ETag: PUB" . time());
header("Last-Modified: " . gmdate("D, d M Y H:i:s", time()-10) . " GMT");
header("Expires: " . gmdate("D, d M Y H:i:s", time() + 5) . " GMT");
header("Pragma: no-cache");
header("Cache-Control: max-age=1, s-maxage=1, no-cache, must-revalidate");
header("Content-Type: text/html; charset=utf-8");    // Typ dat a znaková sada
//session_cache_limiter("nocache");

require("sessionHandler.php");

// Soubor fce
require "./fce.php";

// spojeni s db    
dbconnect();

// pokracujem v session a zjistime token
if( (isset($_COOKIE["autorizace"])) || isset($_GET["mena"]) ){
	zacniSession("autorizace");
}
	
		
// inicializace promennych
$zobrazHlasku = "";			//buffer chybovych hlasek
$jePrihlasen=false;			//uzivatelske menu
$poprve=true;				//neposilali jsme heslo a login z formulare
$zobrazForm=true;			//formular pro prihlaseni
$kosik = false;				//kosik je prazdny
$sudy = false;				//pro vypsani radku
$jinaDodAdresa=false;		//jina dodaci a fakturacni adresa	
$ulozHeslo=false;			//indikujem zmenu hesla
$poslaliHeslo=false;		//zdar/nezdar poslani noveho hesla
$tokenAdr="";				//adresa s bezp. tokenem
define ("ROWS", 9);			//udava kolik zaznamu se zobrazi na 1 stranku

	
//Pokud je skript volan odkazem odhlaseni a odhl je nastavena na 1, odhlasime se
	if (IsSet($_GET["odhl"]) and ($_GET["odhl"]==1)){
		if (login("","",1,0)) $zobrazHlasku="Byli jste odhlášeni.";
	}


// poslali jsme heslo a login
	if ( (IsSet($_POST["login"])) and (IsSet($_POST["heslo"])) and (!isSet ($_SESSION["prihl"])) )		$poprve=false;

// uz se odeslalo	
	if(!$poprve){
  		if(login($_POST["login"], $_POST["heslo"],0,0))	$zobrazForm=false;
		elseif ($zobrazHlasku=="") $zobrazHlasku="Špatný login nebo heslo.";
		else  $zobrazHlasku;
 	}

// uz jsme zadavali heslo a uspesne jsme se prihlasili, kontrolujeme vyprseni nebo podvrhnuti session
// pokud session vyprsi, odhlasime uzivatele a znicime session a jeji promenne
	if ( (isSet ($_SESSION["prihl"])) && ($_SESSION["prihl"]==1) ){
		//dostaneme token z requestu
		if (!isset($token) || $token=="") {
			if (isset($_REQUEST["token"])) {
				$token=$_REQUEST["token"];
			}
			else $token = "";
		}
		
		//pokud kontrola vrati false, tak jsme se neprihlasili
		if (!kontrolaPrihl()){
			$zobrazHlasku.="Nejste přihlášeni nebo vám vypršela platnost přihlášení! Přihlašte se prosím znovu. ";
			mysqli_query($spojeni, "DELETE FROM autorizace WHERE id_ses = '$sid'");
			//znicime session v prohlizeci a na serveru
			session_kill();
		}
		//jsme prihlaseni a mame token
		else {
			$tokenAdr = "token=".$token;
			$idZak=idZak();
		}
	}
	
//v kosiku neco je
	if ( IsSet($_SESSION['kosik']) ) 	  $kosik = true;
	

//zmena meny defaultne 1 - CZK, 2 - SKK
	if(isset($_GET["mena"]) || isset($_SESSION["mena"])){
		//menime menu
		if (is_numeric($_GET["mena"]))
			 $mena=$_GET["mena"];
		//uz jsme zmenili menu
		elseif (isset($_SESSION["mena"]) && is_numeric($_SESSION["mena"])) $mena=$_SESSION["mena"];
		else $mena=1;
		//ulozime si do session
		$_SESSION["mena"]=$mena;
		$d_mena = @mysqli_query($spojeni, "SELECT kurz, mena FROM kurzy WHERE id_kurzu='$mena'");
		$vysl = @mysqli_fetch_assoc($d_mena);	
		if ($vysl){
			$kurz = $vysl["kurz"];
			$nazev_meny = $vysl["mena"];
		}else{
			$kurz = 1;
			$nazev_meny = "CZK";
		}
		
		//pokud se prida mena je tady potreba pridat dalsi id
		if(isset($_GET["mena"])){
			$adresa = $_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'];
			$adresa = str_ireplace('&mena=1','',$adresa);
			$adresa = str_ireplace('&mena=2','',$adresa);
			$adresa = str_ireplace('mena=1','',$adresa);
			$adresa = str_ireplace('mena=2','',$adresa);
			$adresa = str_ireplace('odhl=1','',$adresa);
			header("Location: $adresa");
		}
	//defaultne je mena czk a kurz 1:1
	}else{
		$mena=1;
		$kurz=1;
		$nazev_meny = "CZK";
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="style.css" />
<title>|domena.tld| e-shop</title>
<? 
echo '<script type="text/javascript">

function prejdi(a){
	window.location.href=a;
}
</script>';

echo'<script type="text/javascript">
	function reloc(a, b){
		location.replace(a + \'&mena=\' + b);
	}
</script>';


	if (strchr($_SERVER['PHP_SELF'], "adm.php"))
echo '<script  type="text/javascript">
<!--

function Aktivuj(x) {
if (x==true) {
	 document.formular.heslo_st.disabled=false;
	 document.formular.heslo_nov1.disabled=false;
 	 document.formular.heslo_nov2.disabled=false;
}
else {
	 document.formular.heslo_st.disabled=true;
	 document.formular.heslo_nov1.disabled=true;
 	 document.formular.heslo_nov2.disabled=true;
	 document.formular.heslo_st.value="";
	 document.formular.heslo_nov1.value="";
 	 document.formular.heslo_nov2.value="";
	 }
}

//-->
</script>';

if (strchr($_SERVER['PHP_SELF'], "zobraz_kosik.php"))
echo '<script type="text/javascript">

function prepoc(id,mnozstvi){
	return(\'zobraz_kosik.php?prepocitej=1&id=\' + id + \'&mn=\' + mnozstvi);
	}

function vymaz(id){
	return(\'zobraz_kosik.php?del=1&id=\' + id);
	}

</script>';


?>

</head>

<body>

<div id="wrap">
<div id="hlavicka" title="domena.tld - internetový obchod bmx, mikiny, doplňky" <? if ( !strpos($_SERVER['PHP_SELF'], "index.php") )
						 echo 'onclick="javascript:window.location.href=\'index.php?'. $token .'\'"'; 
					  else echo 'class="nepacka"';
					?>></div>



<div id="hlavni1">
<div id="hlavni2">

<!-- FORMÁTOVÁNÍ LEVÉO PANELU -->

<div id="levypanel">
<div id="levy_obsah">

	<div class="titulek">PŘIHLÁŠENÍ</div>
	
	<!-- DIV PRO REGISTRACE -->

        <div id="registrace">
        <?
        //pokud nejaka chyba tady to vypiseme
        echo $zobrazHlasku;

        //adresy pro odhlaseni/prihlaseni
      	$adresa=$_SERVER['PHP_SELF'];
		if (isset($_GET["id_zbo"]) AND isset($_GET["id_kat"]) AND is_numeric($_GET["id_zbo"]) AND is_numeric($_GET["id_kat"]))
    		$adresa.="?id_zbo=".$_GET["id_zbo"]."&amp;".$_GET["id_kat"];
		elseif (isset($_GET["id_zbo"]) AND !isset($_GET["id_kat"])  AND is_numeric($_GET["id_zbo"]))
        	$adresa.="?id_zbo=".$_GET["id_zbo"];
		elseif (!isset($_GET["id_zbo"]) AND !isset($_GET["id"]) AND isset($_GET["id_kat"]) AND is_numeric($_GET["id_kat"]))
			$adresa.="?id_kat=".$_GET["id_kat"];
		elseif ( isset($_GET["id"]) AND isset($_GET["id_kat"]) AND is_numeric($_GET["id_kat"]) AND is_numeric($_GET["id"]) )
			$adresa.="?id=".$_GET["id"]."&amp;id_kat=".$_GET["id_kat"];
			
			
        

        //zobrazit uzivatelsky menu?
        if ($jePrihlasen){
        	if (substr_count($adresa, "?")==0)
        		$adresa.="?";
        	else
        		$adresa.="&amp;";
        	echo "<div style=\"text-align:center;\">";
			echo "<a href=\"adm.php\" class=\"odkaz\">&gt; ".$_SESSION["login"]." &lt;</a><br /><br /></div>\n";
        	echo "<a href=\"orders.php\" class=\"odkaz\">Objednávky</a><br /><br />\n";
        	echo "<a href=\"" .$adresa. "odhl=1\" class=\"odkaz\">Odhlásit</a>\n";
        	if (strchr($_SERVER['PHP_SELF'], "orders.php") || strchr($_SERVER['PHP_SELF'], "adm.php")) 
        		echo "<br /><br /><br /><a href=\"index.php\" class=\"odkaz\">Zpět na shop</a>\n";
        }


        if ($zobrazForm): ?>
  
		<form action="<? echo $adresa; ?>" method="post" accept-charset="UTF-8">
		<div class="input">
	         <label>Login: </label><br />
	         <input name="login" size="15" value="" class="input_index" /><br />
	         <label>Heslo:</label><br />
	         <input type="password" name="heslo" size="15" value="" class="input_index" /><br />
	         <input type="submit" value="Přihlásit" class="greysubmit" /> 
		</div>
        </form>       

	

		<a href="zapomenute_heslo.php" class="odkaz">Zapomenuté heslo</a><br />
 		<a href="registrace.php" class="odkaz">Nová registrace</a>
        <? endif; ?>
         </div>
         <?
         //zmenu meny zobrazime jen nekde
         if(substr_count($_SERVER['PHP_SELF'], "adm.php")==0 && 
			substr_count($_SERVER['PHP_SELF'], "orders.php")==0 && 
			substr_count($_SERVER['PHP_SELF'], "zobraz.php")==0	&&
			substr_count($_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'], "zaplatit.php?subm=1")==0 
		 ){
		?>
		<div class="titulek_mena">Měna nákupu:&nbsp;<form action="<? echo $_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'] ?>" method="post" ><select onchange="reloc('<? echo $_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING'] ?>', this.value)" name="mena" id="mena"><option value="1" <? if ($mena==1) echo 'selected="selected"' ?>>CZK</option><option value="2" <? if ($mena==2) echo 'selected="selected"' ?>>SKK</option></select></form></div>
		<? } ?>
        