<?php
require ("prip/header.php");

//inicializace promennych
$jeJinyEmail = false;		//indikace zmeny mailu
$formOk = true;				//formular prosel bech chyb
$ulozHeslo=false;			//indikujem zmenu hesla
$poslaliHeslo=false;		//zdar/nezdar poslani noveho hesla
$jinaDodAdresa=false;		//jina dodaci a fakturacni adresa
$clean = array();			//pole ocistenych promennych
?>

<div id="menu"></div>
</div>
</div>


<!-- FORMÁTOVÁNÍ STŘEDNÍHO PANELU -->
<div id="podminky">
<div class="podminky_text"><a href="zobraz.php?co=novinky">novinky</a>&nbsp;
- &nbsp;<a href="zobraz.php?co=kontakt">kontakt</a>&nbsp; - &nbsp;<a
	href="zobraz.php?co=obchodni_podminky">jak nakupovat</a>&nbsp; - &nbsp;<a
	href="zobraz.php?co=odkazy">odkazy</a></div>
</div>
<div id="stredni">
<div id="stred_obsah"><?php
//jsme prihlaseni?
if ($jePrihlasen) {
	echo "<h1>Úprava registračních údajů</h1>";

	//id zakaznika
	$idZak = idZak();

	//token - anti CSRF
	//hash hesla uzivatele a casu - unikatni token
	$s_heslo = mysqli_query($spojeni, "SELECT heslo FROM zakaznik
									  WHERE id_zak=$idZak");
	$heslo = mysqli_fetch_assoc($s_heslo);
	$heslo = $heslo['heslo'];
	//si ulozime stary token ze SESSION a ulozime nove vygenerovany
	if ( isset($_SESSION["token"]))
	$tokenOld = $_SESSION["token"];
	$tokenNew = createHash($heslo,"token");
	$_SESSION['token'] = $tokenNew;
	$_SESSION['tokenTimeout'] = time() + 900;

	//Test, zda zobrazujeme poprve
	if(isset($_POST["odeslano"]))
		$budemeZobrazovat=false;
	else
		$budemeZobrazovat=true;

	// uz se odeslal formular
	if (!$budemeZobrazovat) {

		//indikujeme zmenu emailu
		$jeJinyEmail = jeJinyEmail($_POST["email"], $idZak);
			
		/*
		 * zkotrolujeme vsechny udaje a anti CSRF token, pokud neco nesedi
		 * vypiseme hlasku a vratime uzivatele nazpatek na formular
		 */

		//TOKEN ANTI CSRF
		if ($tokenOld != $_POST["token"] || $_SESSION['tokenTimeout']<time()) {
			$formOk = false;
		}

		//JMENO - nepovinne
		if ( trim($_POST["jmeno"])!="") {
			$clean["jmeno"] = mysqli_real_escape_string($spojeni, $_POST["jmeno"]);
		} else $clean["jmeno"] = "";
			
		//PRIJMENI
		if ( trim($_POST["prijmeni"])=="") {
			echo '<div style="color:red">Vyplňte prosím příjmení.</div>';
			$formOk = false;
		} else $clean["prijmeni"] = mysqli_real_escape_string($spojeni, $_POST["prijmeni"]);

		//NAZEV FIRMY - nepovinne
		if ( trim($_POST["nazev"])!="") {
			$clean["nazev"] = mysqli_real_escape_string($spojeni, $_POST["nazev"]);
		} else $clean["nazev"] = "";

		//ICO - nepovinne
		if ( trim($_POST["ico"])!="" && !eregi("^[0-9]{3,8}$",trim($_POST["ico"]))) {
		 echo '<div style="color:red">IČO není ve správném formátu.</div>.';
		 $formOk = false;
		} elseif (eregi("^[0-9]{3,8}$",trim($_POST["ico"])))
		$clean["ico"] = mysqli_real_escape_string($spojeni, $_POST["ico"]);
	 else $clean["ico"] = "";

	 //TELEFON
	 if (( trim ($_POST["tel"]!="")) and (!eregi("^[0-9]{9}$",trim($_POST["tel"])))) {
	 	echo '<div style="color:red">Zadaný telefon nemá správný formát. '.
		'Zadejte 9 číslic bez mezer.</div>';
	 	$formOk = false;
	 } elseif (eregi("^[0-9]{9}$",trim($_POST["tel"])))
		$clean["tel"] = mysqli_real_escape_string($spojeni, $_POST["tel"]);
		else $clean["tel"] = "";

		//EMAIL
		if (!JeEmail($_POST["email"])) {
			echo '<div style="color:red">Není zadán platný e-mail</div>';
			$formOk = false;
		} else $clean["email"] = mysqli_real_escape_string($spojeni, $_POST["email"]);

		//HESLO - ZMENA EMAILU
		if ($jeJinyEmail && $_POST["emailHeslo"]=="") {
			echo '<div style="color:red">Pokud měníte email, je třeba zadat heslo.</div>';
			$formOk = false;
		}

		//HESLO - ZMENA EMAILU
		if ($jeJinyEmail && isset($_POST["emailHeslo"]) && $_POST["emailHeslo"]!="") {
			if ($heslo!=MD5($_POST["emailHeslo"])) {
				echo '<div style="color:red">Špatné heslo pro změnu emailu.</div>';
				$formOk = false;
			}
		}

		//FAKTURACNI ULICE
		if (trim($_POST["fak_ulice"]=="")) {
			echo '<div style="color:red">Vyplňte prosím ulici '.
		'u fakturační adresy.</div>';
			$formOk = false;
		} else $clean["fak_ulice"] = mysqli_real_escape_string($spojeni, $_POST["fak_ulice"]);

		//FAKTURACNI CP
		if (!eregi("^[0-9]{1,}$", $_POST["fak_cp"])) {
			echo '<div style="color:red">Vyplňte prosím číslo popisné '.
		'u fakturační adresy.</div>';
			$formOk = false;
		} else $clean["fak_cp"] = mysqli_real_escape_string($spojeni, $_POST["fak_cp"]);

		//FAKTURACNI MESTO
		if (trim($_POST["fak_mesto"]=="")) {
			echo '<div style="color:red">Vyplňte prosím město '.
		'u fakturační adresy.</div>';
			$formOk = false;
		} else $clean["fak_mesto"] = mysqli_real_escape_string($spojeni, $_POST["fak_mesto"]);

		//FAKTURACNI PSC
		if (!eregi("^[0-9]{5}$", ($_POST["fak_psc"]))) {
			echo '<div style="color:red">Vyplňte prosím poštovní směrovací číslo '.
		've správném formátu. Zadejte 5 číslic bez mezer.</div>';
			$formOk = false;
		} else $clean["fak_psc"] = mysqli_real_escape_string($spojeni, $_POST["fak_psc"]);

		//FAKTURACNI ZEME
		if ($_POST["fak_zeme"]=="" && !is_numeric($_POST["fak_zeme"])) {
			echo '<div style="color:red">Vyberte prosím zemi u fakturační '.
		'adresy.</div>';
			$formOk = false;
		} else $clean["fak_zeme"] = mysqli_real_escape_string($spojeni, $_POST["fak_zeme"]);
		/**************************************/
		//dodaci (expedicni) adresa - nemusi byt vyplnena, ale pokud je, tak
		//jedine celou
		if ( (trim($_POST["cp"]!="")) or (trim($_POST["psc"]!=""))
		or (trim($_POST["mesto"]!="")) or (trim($_POST["ulice"]!="")) )
		$jinaDodAdresa = true;

		//DODACI ULICE
		if ( $jinaDodAdresa && (trim($_POST["ulice"]=="")) ){
			echo '<div style="color:red">U dodací adresy vyplňte prosím ulici.</div>';;
			$formOk = false;
		}elseif (trim($_POST["ulice"]!=""))
		$clean["ulice"] = mysqli_real_escape_string($spojeni, $_POST["ulice"]);
		else $clean["ulice"] = "";
			
		//DODACI CP
		if ( $jinaDodAdresa && (!eregi("^[0-9]{1,}$", $_POST["cp"])) ) {
			echo '<div style="color:red">U dodací adresy vyplňte prosím '.
		 	'číslo popisné.</div>';
			$formOk = false;
		}elseif (eregi("^[0-9]{1,}$", $_POST["cp"]))
		$clean["cp"] = mysqli_real_escape_string($spojeni, $_POST["cp"]);
		else $clean["cp"] = "";

		//DODACI MESTO
		if ( $jinaDodAdresa && (trim($_POST["mesto"]==""))) {
			echo '<div style="color:red">U dodací adresy vyplňte prosím '.
			'město.</div>';
			$formOk = false;
		} elseif (trim($_POST["mesto"]!=""))
		$clean["mesto"] = mysqli_real_escape_string($spojeni, $_POST["mesto"]);
		else $clean["mesto"] = "";

		//DODACI PSC
		if ( $jinaDodAdresa && (!eregi("^[0-9]{5}$", $_POST["psc"])) ) {
			echo '<div style="color:red">U dodací adresy vyplňte prosím '.
			'poštovní směrovací číslo ve správném formátu. Zadejte 5 '.
			'číslic bez mezer.</div>';
			$formOk = false;
		} elseif (eregi("^[0-9]{5}$", $_POST["psc"]))
		$clean["psc"] = mysqli_real_escape_string($spojeni, $_POST["psc"]);
		else $clean["psc"] = "";

		//DODACI ZEME
		if ( $jinaDodAdresa && (trim($_POST["exp_zeme"]=="")) ) {
			echo '<div style="color:red">Vyplňte prosím zemi u expediční '.
			'adresy.</div>';
			$formOk = false;
		} elseif (trim($_POST["exp_zeme"]!=""))
		$clean["exp_zeme"] = mysqli_real_escape_string($spojeni, $_POST["exp_zeme"]);
		else $clean["exp_zeme"] = "";


		// kontrolou jsme prosli
		if ($formOk){

			//menime heslo?
			if (isset ($_POST["checkbox"])){
				if	( (IsSet($_POST["heslo_st"])) && (IsSet($_POST["heslo_nov1"]))
				&& (IsSet($_POST["heslo_nov2"])) ) {
					$poslaliHeslo = true;
				}
			}

			//kontrola hesla
			if ($poslaliHeslo){
				if ($heslo !=  md5($_POST["heslo_st"]) )
				echo '<div style="color:red">Špatné původní heslo. Nové heslo '.
				'nebylo uloženo.</div>';
				elseif (($_POST["heslo_nov1"] != $_POST["heslo_nov2"]))
				echo '<div style="color:red">Heslo není vyplněno 2x stejně. '.
				'Nové heslo nebylo uloženo.</div>';
				elseif ( strlen ($_POST["heslo_nov1"])>10 | strlen ($_POST["heslo_nov1"])<4 )
				echo '<div style="color:red">Heslo musí mít 5 - 10 znaků. '.
				'Nové heslo nebylo uloženo.</div>';
				else $ulozHeslo=true;
			}

			//reset promenne
			$jinaDodAdresa=false;

			//najdeme si id adres
			$s_adresy = mysqli_query($spojeni,
	  		 "SELECT id_adr_dod, id_adr_fak
	  		 FROM zakaznik
	  		 WHERE id_zak=$idZak");
			$adresy = mysqli_fetch_assoc($s_adresy);
			if($adresy["id_adr_fak"] <> $adresy["id_adr_dod"]) $jinaDodAdresa=true;

			//ulozeni fakturacni adresy
			$update=mysqli_query($spojeni,
				"UPDATE adresa  SET ulice='". $clean['fak_ulice']. "',
				cp=". $clean['fak_cp']. ", mesto='". $clean['fak_mesto']. "',
				psc='". $clean['fak_psc']. "', id_zeme=". $clean['fak_zeme']. "
				WHERE id_adr=". $adresy["id_adr_fak"]);

			//pokud jsme neco zapsali do dodaci adresy ulozime ji do db
			if (($clean["ulice"]!="") && ($clean["cp"]!="") &&
			($clean["psc"]!="") && ($clean["mesto"]!="")){
				//update dodaci adresy
				if ($jinaDodAdresa){
					$update=mysqli_query($spojeni,
					"UPDATE adresa  SET ulice='". $clean['ulice']. "',
					cp=". $clean['cp']. ", mesto='". $clean['mesto']. "',
					psc='". $clean['psc']. "', id_zeme=". $clean['exp_zeme']. "
					WHERE id_adr=". $adresy["id_adr_dod"]);
				}
				//nova dodaci adresa
				else {
					$insert=mysqli_query ($spojeni,
	  					"INSERT INTO adresa VALUES 
	  					(NULL, '".$clean["ulice"]."', ".$clean["cp"].",
	  					'".$clean["mesto"]."', '".$clean["psc"]."',
	  					".$clean["exp_zeme"].")");
					$newID_adr_dod = mysqli_insert_id($spojeni);
				}
			}

			//Ulozeni info o zakaznikovi
			//nova dodaci adresa
			if (isset($newID_adr_dod)) {
				$update=mysqli_query($spojeni,
	  			"UPDATE zakaznik  SET jmeno='". $clean['jmeno'] .",
	  			prijmeni='". $clean['prijmeni'] ."',
	  			nazev='". $clean['nazev'] ."',
	  			ico='". $clean['ico'] ."', tel='". $clean['tel'] ."',
	  			email='". $clean['email'] ."',
	  			id_adr_dod=$newID_adr_dod
	  			WHERE id_zak=$idZak");
				if($update) $zobrazHlasku.="Nová dodací adresa uložena.<br />";
			}
			//jine heslo
			elseif ($ulozHeslo) {
				$heslo=md5($_POST["heslo_nov1"]);
				$update=mysqli_query($spojeni,
				"UPDATE zakaznik  SET jmeno='". $clean['jmeno'] ."',
	  			prijmeni='". $clean['prijmeni'] ."',
	  			nazev='". $clean['nazev'] ."',
	  			ico='". $clean['ico'] ."', tel='". $clean['tel'] ."',
	  			email='". $clean['email'] ."',
	  			heslo='$heslo'
	  			WHERE id_zak=$idZak");
				if($update) $zobrazHlasku.="Nové heslo uloženo.<br />";
				else $zobrazHlasku.="Heslo se nepodařilo uložit.<br />";
			}
			//klasicky
			else {
				$update=mysqli_query($spojeni,
	  			"UPDATE zakaznik  SET jmeno='". $clean['jmeno'] ."',
	  			prijmeni='". $clean['prijmeni'] ."',
	  			nazev='". $clean['nazev'] ."',
	  			ico='". $clean['ico'] ."', tel='". $clean['tel'] ."',
	  			email='". $clean['email'] ."'
	  			WHERE id_zak=$idZak");

				if($update) $zobrazHlasku.="Informace o Vás uloženy.<br />";
			}

		}else $budemeZobrazovat=true;

	}
}


// formular pro administraci uctu
if ($jePrihlasen && $budemeZobrazovat){

	//vracime se z formulare, ktery nebyl dobre vyplnen
	//nacteme udaje z db, ktere byly dobre
	if (!$formOk) {
		echo '<br /><div>Vypisuji nezměněné údaje: </div>';
	}

	$sql=mysqli_query($spojeni,
			"SELECT z.id_zak,z.typ,z.jmeno,z.prijmeni,z.nazev,z.ico,z.tel,
			z.email,z.heslo,a.id_adr,a.ulice,a.cp,a.mesto,a.psc,
			ad.id_adr AS fak_id_adr,ad.ulice AS fak_ulice,ad.cp AS fak_cp,
			ad.mesto AS fak_mesto, ad.psc AS fak_psc, a.id_zeme,
			ad.id_zeme AS fak_id_zeme
			FROM zakaznik z
			JOIN adresa a ON (z.id_adr_dod=a.id_adr)
			JOIN adresa ad ON (z.id_adr_fak=ad.id_adr)
			WHERE id_zak=".$idZak."");
	$dotaz=mysqli_fetch_assoc($sql);
	if($dotaz["fak_id_adr"]<> $dotaz["id_adr"]) $jinaDodAdresa=true;


	?>
<form method="post" action="adm.php" name="formular">
<table class="form">
	<tr>
		<td>&nbsp;</td>
		<td><br />
		<h2><i>Fyzické osoby:</i></h2>
		</td>
	</tr>
	<tr>
		<td>Jméno:</td>
		<td><input name="jmeno" size="50"
			value="<?echo htmlspecialchars($dotaz["jmeno"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>Příjmení*:</td>
		<td><input name="prijmeni" size="50"
			value="<?echo htmlspecialchars($dotaz["prijmeni"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><br />
		<h2><i>Právnické osoby:</i></h2>
		</td>
	</tr>
	<tr>
		<td>Název firmy:</td>
		<td><input name="nazev" size="50"
			value="<?echo htmlspecialchars($dotaz["nazev"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>IČO:</td>
		<td><input name="ico" size="50"
			value="<?echo htmlspecialchars($dotaz["ico"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>Telefon:</td>
		<td><input name="tel" size="50"
			value="<?echo htmlspecialchars($dotaz["tel"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>E-mail*:</td>
		<td><input name="email" size="50"
			value="<?echo htmlspecialchars($dotaz["email"], ENT_QUOTES, "utf-8")?>"
			onkeydown="mailHeslo();" /></td>
	</tr>
	<tr>
		<td>Heslo:</td>
		<td><input type="password" name="emailHeslo" size="20"
			disabled="disabled" /></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td>* pro Vaši vyšší bezpečnost vyžadujeme heslo při změně emailu</td>
	</tr>
	<tr>
	
	
	<tr>
		<td>&nbsp;</td>
		<td><br />
		Fakturační adresa:</td>
	</tr>
	<tr>
		<td>Ulice*:</td>
		<td><input name="fak_ulice" size="50"
			value="<?echo htmlspecialchars($dotaz["fak_ulice"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>ČP*:</td>
		<td><input name="fak_cp" size="50"
			value="<?echo htmlspecialchars($dotaz["fak_cp"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>Město*:</td>
		<td><input name="fak_mesto" size="50"
			value="<?echo htmlspecialchars($dotaz["fak_mesto"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>PSČ*:</td>
		<td><input name="fak_psc" size="50"
			value="<?echo htmlspecialchars($dotaz["fak_psc"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>Stát*:</td>
		<td><? vypisZeme("fak_zeme",$dotaz["fak_id_zeme"]); ?></td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><br />
		Expediční adresa:</td>
	</tr>
	<tr>
		<td>&nbsp;</td>
		<td><font size="1">(Vyplňte pouze pokud chcete zboží zaslat na jinou
		než na fakturační adresu)</font></td>
	</tr>
	<tr>
		<td>Ulice:</td>
		<td><input name="ulice" size="50"
			value="<?if ($jinaDodAdresa) echo htmlspecialchars($dotaz["ulice"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>ČP:</td>
		<td><input name="cp" size="50"
			value="<?if ($jinaDodAdresa) echo htmlspecialchars($dotaz["cp"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>Město:</td>
		<td><input name="mesto" size="50"
			value="<?if ($jinaDodAdresa) echo htmlspecialchars($dotaz["mesto"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>PSČ:</td>
		<td><input name="psc" size="50"
			value="<?if ($jinaDodAdresa) echo htmlspecialchars($dotaz["psc"], ENT_QUOTES, "utf-8")?>" /></td>
	</tr>
	<tr>
		<td>Stát*:</td>
		<td><? 
		if ($dotaz["fak_id_adr"]==$dotaz["id_adr"]) $id_zeme = 0;
		else $id_zeme = $dotaz["fak_id_zeme"];
		vypisZeme("exp_zeme", $dotaz["id_zeme"]); ?></td>
	</tr>
	<tr>
		<td><br />
		<input type="checkbox" name="checkbox" value="checkbox"
			onClick="Aktivuj(this.checked);" />
		<h2 style="display: inline">Změna hesla</h2>
		</td>
		<td>&nbsp;</td>
	</tr>
	<tr>
		<td>Staré heslo*:</td>
		<td><input type="password" name="heslo_st" size="50" value="" disabled /></td>
	</tr>
	<tr>
		<td>Nové heslo*:</td>
		<td><input type="password" name="heslo_nov1" size="50" value=""
			disabled /></td>
	</tr>
	<tr>
		<td>Nové heslo (opakovaně)*:</td>
		<td><input type="password" name="heslo_nov2" size="50" value=""
			disabled /></td>
	</tr>


	<tr>
		<td></td>
		<td><font size="1">* - Údaje označené hvězdičkou jsou povinné</font></td>
	</tr>
	<tr>
		<td colspan="2"><input type="hidden" name="token"
			value="<?php echo $tokenNew; ?>" /> <input type="hidden"
			name="odeslano" value="1" /> <input type="submit" name="odesli"
			value="Uložit změny" class="gsubmit" /></td>
	</tr>
</table>
</form>

		<?php	}
		echo "<br />";
		echo $zobrazHlasku;

		require_once("prip/footer.php")
		?>