<?php
header("ETag: PUB" . time());
header("Last-Modified: " . gmdate("D, d M Y H:i:s", time()-10) . " GMT");
header("Expires: " . gmdate("D, d M Y H:i:s", time() + 5) . " GMT");
header("Pragma: no-cache");
header("Cache-Control: max-age=1, s-maxage=1, no-cache, must-revalidate");
header("Content-Type: text/html; charset=utf-8");    // Typ dat a znakova sada

// Soubor fce
  	require "../fce.php";

// spojeni s db    
	dbconnect();
	
//instalujeme session handler
require("../prip/session_handler.php");
	  
if( (isset($_COOKIE["admin"])) )
	zacniSession("admin");

//inicializace promennych
$budemeZobrazovat=true; 	//formular s daty o uzivateli
$jeJinyEmail = false;		//indikace zmeny mailu
$formOk = true;				//formular prosel bech chyb
$ulozHeslo=false;			//indikujem zmenu hesla
$poslaliHeslo=false;		//zdar/nezdar poslani noveho hesla
$clean = array();			//pole ocistenych promennych
$zobrazHlasku = "";			//buffer chybovych hlasek
$jePrihlasen=false;			//uzivatelske menu
$poprve=true;				//neposilali jsme heslo a login z formulare
$zobrazForm=true;			//formular pro prihlaseni
$odhlaseni=false;			//pokud se odhlasujeme
$kontroluj=true;

//Pokud je skript volan odkazem odhlaseni a odhl je nastavena na 1, odhlasime se
	if (IsSet($_GET["odhl"]) and ($_GET["odhl"]==1)){
		if (login("","",1,0)) {
			$zobrazHlasku="Byli jste odhlášeni.";
			$odhlaseni = true;
		}
	}

// poslali jsme heslo a login
	if ( (IsSet($_POST["login"])) and 
			(IsSet($_POST["heslo"])) and 
			(!isSet ($_SESSION["prihl"])) )	
				$poprve=false;

	if(!$poprve){
  		if(login($_POST["login"], $_POST["heslo"],0,1))
  			$zobrazForm=false;
		else
			$zobrazHlasku.="Špatný login nebo heslo.";
  	}

	/*
	 * kontrolujeme vyprseni nebo podvrhnuti session
	 * pokud kontrola vrati false, tak nejsme prihlaseni
	 * nebo vyprsela platnost session - $timeout je true
	 * pokud session vyprsi, odhlasime uzivatele a znicime session a jeji promenne
	 */
	if (!kontrolaPrihl() && !$odhlaseni) {
		if ($timeout) {
			mysqli_query($spojeni, "DELETE FROM autorizace WHERE id_ses = '$sid'");
			$zobrazHlasku.="Nejste přihlášeni nebo vám vypršela platnost ".
							"přihlášení! Přihlašte se prosím.";
			//zahodime session
			session_kill();
		}
		//pokud zustala cookie, tak ji smazeme a procistime tabulku autorizace
		elseif ( (isset($_COOKIE["admin"])) ) {
			// za kolik sekund session vyprsi (30 min)
			$ad = time() - 1800;
			mysqli_query($spojeni, "DELETE FROM autorizace WHERE cas < $ad");
			$zobrazHlasku.="Nejste přihlášeni nebo vám vypršela platnost ".
							"přihlášení! Přihlašte se prosím.";
			//zahodime session
			session_kill();	

		}
	//jsme prihlaseni - zjistime id zakaznika	
	} elseif (!$odhlaseni) $idZak=idZak();
ob_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>administrace</title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <link rel="stylesheet" type="text/css" href="../style_admin.css" media="all" />
	</head>
<body>
<script type="text/javascript">
	function vypni(a){
		if (a==true) 
		 document.form1.hlkat.disabled=true;
		 document.form1.hlkat.options[0].selected=true;		 
		if (a==false) 
		 document.form1.hlkat.disabled=false;
	}
	function subForm(form,loc){
		form.action=loc;
		form.submit();
		return false;
	}
</script>
    <div id="wrap">
<?       
//zobrazit uzivatelsky menu?	
	if ($jePrihlasen) { 
	
	//id zakaznika
	$idZak = idZak();
	
	//token - anti CSRF
	//hash hesla uzivatele a casu - unikatni token
	$s_heslo = mysqli_query($spojeni, "SELECT heslo FROM zakaznik
									  WHERE id_zak=$idZak");
	$heslo = mysqli_fetch_assoc($s_heslo);
	$heslo = $heslo['heslo'];
	//si ulozime stary token ze SESSION a ulozime nove vygenerovany
	if ( isset($_SESSION["token"]))
		$tokenOld = $_SESSION["token"];
	$tokenNew = createHash($heslo,"token");
	$_SESSION['token'] = $tokenNew;
	$_SESSION['tokenTimeout'] = time() + 900;
?>
       <div id="levypanel">
            <div class="titulek">
     		PŘIHLÁŠENÍ
     		</div>
     	<div id="registrace">
     	<div class="center_text">
			<a href="admin.php?ak=adm" class="odkaz">&gt; <? echo $_SESSION["login"]; ?> &lt;</a><br /><br />
			<a href="index.php?odhl=1" class="odkaz">Odhlásit</a>
		</div>
		</div>
		<div class="titulek">
     		ADMINISTRACE
     	</div>
		<div>
			<div class="menu_adm"><a href="admin.php?ak=menu" class="odkaz">Menu</a></div>
			<div class="menu_adm"><a href="admin.php?ak=zbozi" class="odkaz">Zboží</a><br />
			&nbsp;&nbsp;&nbsp;<a href="admin.php?ak=nzbozi" class="odkaz">Přidat nové zboží</a><br />
			&nbsp;&nbsp;&nbsp;<a href="admin.php?ak=zbozi&amp;sk=1" class="odkaz">Zboží skladem</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=orders" class="odkaz">Objednávky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=zak" class="odkaz">Zákazníci</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=news" class="odkaz">Novinky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=znacka" class="odkaz">Značky</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=velikost" class="odkaz">Velikosti</a><br /></div>
			<div class="menu_adm"><a href="admin.php?ak=slevy_d" class="odkaz">Slevy dealerů</a></div>
		</div>
		<br />
		<div class="titulek">
     		<a href="../index.php">E-SHOP</a>
     	</div>

	</div>
	
		
	<? } ?>

<div id="stredni">
<?
//pokud nejaka chyba tady to vypiseme
if ($zobrazHlasku!="") echo "<font color=\"red\">".$zobrazHlasku."</font><br /><br />";
//jsme prihlaseni
if ($jePrihlasen){
				 switch($_GET["ak"]){
				 	case "adm":
				 		require_once("fce/adm.php");
				 	break;
				 	
				 	
					case "menu":
					 		require_once ("fce/menu.php");
					break;
					
					
					case "zbozi":
					 		require_once ("fce/zbozi.php");
					break;
					
					
					case "ezbozi":
							require_once ("fce/ezbozi.php");
					break;
					
					case "nzbozi":
							require_once ("fce/nzbozi.php");
					break;
					case "dzbozi":
							require_once ("fce/dzbozi.php");
					break;
					
					case "orders":
							require_once ("fce/orders.php");
					break;

					
					case "znacka":
							require_once ("fce/znacka.php");
					break;
					
					case "velikost":
							require_once ("fce/velikost.php");
					break;
					
					
					case "slevy_d":
							require_once ("fce/slevyd.php");
					break;
					
					
					case "img":
							require_once ("fce/img.php"); 
					break;
					
					case "news":
							require_once("fce/news.php");
					break;
					
					case "zak":
							require_once("fce/zak.php");
				 }
 } 
//ulozime session do db a zavreme spojeni s db
session_write_close(); 

//nejsme prihlaseni
if ($zobrazForm) { ?>

  <div class="input">
  <form method="post" action="index.php">
      <label>Login:</label>
      <input name="login" size="15" /><br /><br />
      <label>Heslo:</label>
      <input name="heslo" type = "password" size="15" /><br />
      <input type="submit" name="odesli" value="Přihlásit" class="gsubmit" />  
  </form>
  </div>
<? } ?>
	<div class="cleaner">&nbsp;</div>
	</div>

</div>
</body>
</html>
<?php ob_flush();?>